繁体   English   中英

如何使用 brew 从 Mac osx 卸载 twilio-cli

How to uninstall twilio-cli from Mac osx using brew

提示:本站收集StackOverFlow近2千万问答,支持中英文搜索,鼠标放在语句上弹窗显示对应的参考中文或英文, 本站还提供   中文繁体   英文版本   中英对照 版本,有任何建议请联系yoyou2525@163.com。

我在 Mac 操作系统上,可以获得 twilio-cli。 我已经使用 brew 安装了它。

我试过了

brew uninstall twilio 
brew remove twilio

它给出了以下错误

    Warning: Twilio is switching the default branch from 'master' to 'main'
    Warning: requiring an update to the default homebrew tap.
    Warning: 
    Error: To upgrade twilio-cli, retap it with:
        brew untap twilio/brew
        brew tap twilio/brew
        brew upgrade twilio

我应用了上面建议的命令,但它仍然一遍又一遍地给出同样的错误。

2 个回复

先试试这个

brew update-reset $(brew --repo twilio/brew)

然后尝试

brew uninstall twilio

brew untap twilio/brew

brew tap twilio/brew

brew install twilio


如果失败,那么我会将 go 放到文件夹/usr/local/Homebrew/Library/Taps/twilio/

并手动删除 hombrew-brew 文件夹rm -rf homebrew brew

然后我会做brew tap twilio/brew && brew install twilio

之后,您不妨运行brew update && brew upgrade然后brew doctor以确保一切正常

brew install twilio/brew/twilio应该足够了。

1 在 WSL 上安装 twilio-cli

使用 npm install -g twilio-cli 安装 twilio-cli 时,它运行时出错。 我安装了 nvm 并安装了节点 10,并使用了 npm 并安装了 twilio-cli,但我仍然遇到错误。 我尝试安装 keytar 包,但出现以下错误 我需要帮助才能通过 WSL 使 ...

3 如何在Mac上完全卸载brew?

我的配置有些混乱。 我无法安装rbenv: 所以我尝试了: 我正在运行这个版本的brew,但是我发现这个版本列表很奇怪: 也尝试过这个来卸载brew 酿酒医生说我的啤酒安装相当混乱: ...

4 无法从 Mac 卸载 CLI

我显然被困在 CLI 版本 8.3.21 上。 我在 MacOS Big Sur 上。 我不在项目文件夹中。 事实上,我已经删除了现有 Angular 项目中的所有 node_modules 目录。 我试过运行: 和 当我运行ng version时,它仍然会出现并且功能齐全: 我检查了 brew ...

5 brew卸载OSX后完全删除postgres

我想知道如何在 macOS Sierra (10.13.6) 上完全删除 PostgreSQL。 我用过这个命令行: 但是当我用brew install postgres重新安装时,我有旧的配置和内容。 我想重新安装。 ...

6 Mac完全卸载未从brew安装的php

我正在运行 Mac Catalina 并希望删除 php 版本以降级到 php7.2可能从现在开始使用 brew。 目前我有这个。 我不太关心错误,但我想要实现的是完全删除 7.3.11,然后从 brew 重新安装。 我找不到任何关于替换不是来自 brew 的 php 的信息。 请帮忙。 ...

2020-11-02 16:55:05 1 5262   php/ macos
8 使用OS X问题安装brew

当我尝试使用以下命令安装brew时 我收到以下错误 /Users/nouveau/.rbenv/shims/ruby:ligne21:/usr/local/Cellar/rbenv/0.4.0/libexec/rbenv:没有此类文件或目录 我该如何解决? ...

9 在OS X上使用brew升级R

我以前曾经遇到过这个问题,但我想不出解决它的最佳方法。 我正在将r从v3.1.2_1升级到v3.1.3,以使用brew upgrade r 。 但是,当我这样做时,我会丢失在v3.1.2_1下安装的所有库。 我必须从头开始安装所有库。 问题似乎是brew为/usr/local/C ...

2015-04-06 07:41:20 1 892   r
10 使用 brew 在 mac 上安装 amqp

我想安装amqp与PECL我的MAC山脉。 我用 brew 安装了 php,用pecl install amqp我收到一个错误: checking for amqp using pkg-config... configure: error: librabbitmq not found 我用 br ...

暂无
暂无

声明:本站的技术帖子网页,遵循CC BY-SA 4.0协议,如果您需要转载,请注明本站网址或者原文地址。任何问题请咨询:yoyou2525@163.com.

 
粤ICP备18138465号  © 2020-2022 STACKOOM.COM